Page MenuHomePhabricator

"Learn more" link for right change notifications should point to a page about the group
Closed, DeclinedPublic

Description

In addition to, or instead of, the current "Learn more" link pointing to Special:Listgrouprights, there should be a link to the page referred to in the respective grouppage-xyz (e.g. https://en.wikipedia.org/wiki/MediaWiki:Grouppage-sysop).


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=53860

Details

Reference
bz55339

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:35 AM
bzimport set Reference to bz55339.
bzimport added a subscriber: Unknown Object (MLST).

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/299

Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 9:11 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 6 2015, 9:11 AM

@jmatazzoni Is this a change we want to make? It makes sense to me. An example of such a page is https://en.wikipedia.org/wiki/Wikipedia:Administrators (referenced from https://en.wikipedia.org/wiki/MediaWiki:Grouppage-sysop).

If so, it could be a good micro-task for our outreach programs.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 21 2016, 4:41 AM

I think we should do the other one, because not all wikis have written a local page about each user-group (many redlinks, e.g. https://kab.wikipedia.org/wiki/Uslig:ListGroupRights currently)

Checked in betalabs - 'Learn more' points to the specific section on Special:ListGroupRights e.g. when a user is granted Administrators right, in an receved email 'Learn more' will redirect to https://en.wikipedia.beta.wmflabs.org/wiki/Special:ListGroupRights#sysop

The fix is done along with the fix to T55860: Echo: User rights change : Link to specific row of table that is applicable.

jmatazzoni closed this task as Resolved.Sep 29 2016, 11:19 PM
jmatazzoni claimed this task.
Mattflaschen-WMF changed the task status from Resolved to Declined.Oct 4 2016, 6:21 PM